package com.ruoyi.project.reliability.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TBamOriginalMapper;
import com.ruoyi.project.reliability.domain.TBamOriginal;
import com.ruoyi.project.reliability.service.ITBamOriginalService;

import javax.annotation.Resource;

/**
 * 故障管理初选Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TBamOriginalServiceImpl implements ITBamOriginalService
{
    @Resource
    private TBamOriginalMapper tBamOriginalMapper;

    /**
     * 查询故障管理初选
     *
     * @param id 故障管理初选ID
     * @return 故障管理初选
     */
    @Override
    public TBamOriginal selectTBamOriginalById(Long id)
    {
        return tBamOriginalMapper.selectTBamOriginalById(id);
    }

    /**
     * 查询故障管理初选列表
     *
     * @param tBamOriginal 故障管理初选
     * @return 故障管理初选
     */
    @Override
    public List<TBamOriginal> selectTBamOriginalList(TBamOriginal tBamOriginal)
    {
        return tBamOriginalMapper.selectTBamOriginalList(tBamOriginal);
    }

    /**
     * 新增故障管理初选
     *
     * @param tBamOriginal 故障管理初选
     * @return 结果
     */
    @Override
    public int insertTBamOriginal(TBamOriginal tBamOriginal)
    {
        return tBamOriginalMapper.insertTBamOriginal(tBamOriginal);
    }

    /**
     * 修改故障管理初选
     *
     * @param tBamOriginal 故障管理初选
     * @return 结果
     */
    @Override
    public int updateTBamOriginal(TBamOriginal tBamOriginal)
    {
        return tBamOriginalMapper.updateTBamOriginal(tBamOriginal);
    }

    /**
     * 批量删除故障管理初选
     *
     * @param ids 需要删除的故障管理初选ID
     * @return 结果
     */
    @Override
    public int deleteTBamOriginalByIds(Long[] ids)
    {
        return tBamOriginalMapper.deleteTBamOriginalByIds(ids);
    }

    /**
     * 删除故障管理初选信息
     *
     * @param id 故障管理初选ID
     * @return 结果
     */
    @Override
    public int deleteTBamOriginalById(Long id)
    {
        return tBamOriginalMapper.deleteTBamOriginalById(id);
    }
}
